SystemOrganization addCategory: #'MultilingualTests-TextConversion'!

TestCase subclass: #ByteTextConverterTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MultilingualTests-TextConversion'!

!ByteTextConverterTest methodsFor: 'testing' stamp: 'nice 7/26/2009 22:44'!
testConversionToFrom
	"Non regresson test for http://code.google.com/p/pharo/issues/detail?id=986"

	self assert: (('' convertToEncoding: 'mac-roman') convertFromEncoding: 'mac-roman') = ''! !

TestCase subclass: #MultiByteFileStreamTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MultilingualTests-TextConversion'!

!MultiByteFileStreamTest methodsFor: 'testing' stamp: 'nice 10/16/2008 21:14'!
testBinaryUpTo
	"This is a non regression test for bug http://bugs.squeak.org/view.php?id=6933"
	
	| foo |
	
	foo := MultiByteFileStream forceNewFileNamed: 'foobug6933'.
	[foo binary.
	foo nextPutAll: #(1 2 3 4) asByteArray] ensure: [foo close].

	foo := MultiByteFileStream oldFileNamed: 'foobug6933'.
	[foo binary.
	self assert: (foo upTo: 3) = #(1 2 ) asByteArray] ensure: [foo close]! !
